Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Broken portage - How to update manually?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
loginx
n00b
n00b


Joined: 14 Aug 2002
Posts: 68
Location: Windsor Ontario, Canada

PostPosted: Fri Oct 10, 2003 2:03 pm    Post subject: Broken portage - How to update manually? Reply with quote

I've ran an emerge sync && emerge -u world yesterday and the portage version in the portage tree at this time relying on python 2.3 seems to be broken.
A few hours later, an update to portage was available so I'm guessing they noticed the problem and fixed immediately.
The problem is that now, none of my emerges go through... I get a bunch of traceback calls and exceptions right after the configure of every package, and that includes the update to python and portage so there isn't a way for me to fix my problem using portage.

Is there a way to download and install those packages manually or something?
Back to top
View user's profile Send private message
Pythonhead
Developer
Developer


Joined: 16 Dec 2002
Posts: 1801
Location: Redondo Beach, Republic of Calif.

PostPosted: Fri Oct 10, 2003 3:46 pm    Post subject: Reply with quote

You might try this:

Edit /usr/bin/emerge

Change this:
Code:
#!/usr/bin/python


to:
Code:
#!/usr/bin/python2.2


And try emerging something. You should still have python2.2 installed. Do not unmerge 2.2 until python2.3 is stable.

If this doesn't work, let me know and we'll go from there. You may have to use the portage-rescue package to get you going again. Yesterday there were a few changes in portage and Python 2.3.2 and unfortunately you caught a bad version in between syncs.

For the brave who want to try Python 2.3.2 before its marked stable, make sure you use sys-apps/portage 2.0.49-r12 with dev-lang/python-2.3.2-r1. They are hard masked, so please be the adventurous type if you want to test them. (Be prepared to use portage-rescue).
Back to top
View user's profile Send private message
loginx
n00b
n00b


Joined: 14 Aug 2002
Posts: 68
Location: Windsor Ontario, Canada

PostPosted: Fri Oct 10, 2003 5:15 pm    Post subject: Reply with quote

My /usr/bin/emerge was already set up with #!/usr/bin/env python2.2

Here are the versions I'm using:
# python -V
Python 2.2.3
# emerge -V
Portage 2.0.49-r8 (default-x86-1.4, gcc-3.3.1, glibc-2.3.2-r1, 2.6.0-test5-mm4)

So I guess I wasn't using python 2.3 as I originally thought, but it's still broken...
Back to top
View user's profile Send private message
Genone
Retired Dev
Retired Dev


Joined: 14 Mar 2003
Posts: 9211
Location: beyond the rim

PostPosted: Fri Oct 10, 2003 9:05 pm    Post subject: Reply with quote

-r8 is broken (and doesn't have the python-2.3 support), try to use /usr/portage/sys-apps/portage/files/README.RESCUE and after that upgrade to -r12.
Back to top
View user's profile Send private message
loginx
n00b
n00b


Joined: 14 Aug 2002
Posts: 68
Location: Windsor Ontario, Canada

PostPosted: Fri Oct 10, 2003 9:54 pm    Post subject: Reply with quote

Great... that worked for me.
Nice shadow ship in the avatar btw :P
Back to top
View user's profile Send private message
curtis119
Bodhisattva
Bodhisattva


Joined: 10 Mar 2003
Posts: 2160
Location: Phoenix, AZ USA, North America, Earth, SOL System, Milky Way, The Universe, The Cosmos, and Beyond.

PostPosted: Sun Oct 12, 2003 8:11 pm    Post subject: Reply with quote

I also had this problem but these tips didn't help me. Here is what I did:

https://forums.gentoo.org/viewtopic.php?p=581945#581945
_________________
Gentoo: it's like wiping your ass with silk.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum